{%- comment -%}

Search buscador

@param :title_post [String]
@param :metadata [String]
@param :section [String] 
@param :section_home [String]
{%- endcomment -%}
<header>
  <div class="row w-100 px-2 no-gutters m-0">
    <div class="d-flex flex-column align-items-end w-100 my-2 mx-2">
      <div class="d-flex align-items-center text-right">
        {% if include.section %}
        <p> {{ include.section_home }}
          <span class="text-secondary mx-1"> / </span> {{ include.section }}
          <span class="text-secondary mx-1"> / </span>
           {{- include.title_post | default: '~' -}}
        </p>
        {% else %}
        <p>{{- include.title_post | default: '~' -}}</p>
        {% endif %}
        {% include share_to_clipboard.html 
          fa="external-link" 
          url=page.url 
          button-classes="text-primary background-transparent border-0" 
        %}
      </div> 
      {% if page.last_modified_at %}
      <div class="d-flex align-items-center text-right">
        <p>{{ site.i18n.last_modified }}<span class="text-secondary mx-1"> ~ </span>{{ include.metadata | date_to_long_string }}</p>
        <i class="fa fa-clock-o mx-2 text-primary"></i>
      </div>
      {% endif %}
    </div> 
    <div class="d-flex align-items-center justify-content-center w-100 my-2">
    {%- assign param = include.param | default: 'search' -%}
    <form method="get" action="" class="form-inline w-100" data-controller="search" data-action="search#search">
      <div class="form-group w-100">
        <label for="{{ param }}_q" class="sr-only">{{ site.i18n.search.label }}</label>

        <div class="input-group flex-nowrap w-100">
          <div class="input-group-prepend">
            <span class="input-group-text background-transparent fa fa-search border-0 pt-2 black px-3"></span>
          </div>

          <input
            class="form-control background-transparent border-gradient border-gradient-primary-secondary border-gradient-bottom"
            type="search"
            required
            id="{{ param }}_q"
            name="q"
            placeholder="{{ site.i18n.search.submit }}"
            data-search-target="q"
            autocomplete="off" />
        </div>
      </div>
      <input class="sr-only" type="submit" value="{{ site.i18n.search.submit }}" />
    </form>
    </div>
  </div>
</header>



